Subject: Re: What's cooking in git.git (Nov 2025, #02; Thu, 6)

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 7 Nov 2025 07:50:03 +0100

On Thu, Nov 06, 2025 at 09:34:31AM -0800, Junio C Hamano wrote:
> * dk/make-git-contacts-executable (2025-11-04) 1 commit
>  - perl: also mark git-contacts executable
> 
>  Building "git contacts" script (in contrib/) leaves the resulting
>  file unexecutable, which has been corrected.
> 
>  Will merge to 'next'?
>  source: <7fbb341e8[email-masked]>

Yup. I see you fixed up the grammar issue in the commit message, so I'm
good with this being merged.

> * dk/meson-html-dir (2025-11-04) 1 commit
>  - meson: make GIT_HTML_PATH configurable
> 
>  The build procedure based on meson learned to allow builders to
>  specify the directory to install HTML documents.
> 
>  Will merge to 'next'?
>  source: <385992f60[email-masked]>

Likewise, you've fixed the ordering of the Meson options, which was my
only nit. So this looks good to me, as well.

> * ps/object-source-loose (2025-11-02) 13 commits
>  - object-file: refactor writing objects via a stream
>  - object-file: rename `write_object_file()`
>  - object-file: refactor freshening of objects
>  - object-file: rename `has_loose_object()`
>  - object-file: read objects via the loose object source
>  - object-file: move loose object map into loose source
>  - object-file: hide internals when we need to reprepare loose sources
>  - object-file: move loose object cache into loose source
>  - object-file: introduce `struct odb_source_loose`
>  - object-file: move `fetch_if_missing`
>  - odb: adjust naming to free object sources
>  - odb: introduce `odb_source_new()`
>  - odb: fix subtle logic to check whether an alternate is usable
> 
>  A part of code paths that deals with loose objects has been cleaned
>  up.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Yup, I think v3 is ready to be merged.

> * ps/rust-cbindgen (2025-10-24) 6 commits
>  . rust: generate bindings via cbindgen
>  . meson: rename Rust library target
>  . ci: use Debian instead of deprecated i386/ubuntu
>  . gitlab-ci: backfill missing Linux jobs
>  . gitlab-ci: reorder Linux job matrix to match GitHub's order
>  . Merge branch 'ps/ci-rust' into ps/rust-cbindgen
> 
>  Introduce cbindgen in the build framework to help interfacing with
>  Rust.
> 
>  More discussion?
>  cf. <[email-masked]>
>  source: <[email-masked]>

Yeah. I'll probably have to introduce workspaces as Ezekiel explained,
but I didn't have the time recently to handle this yet.

Thanks!

Patrick